# Uses of Interface
org.eclipse.pde.core.IModel

Packages that use IModel
Package
Description
org.eclipse.pde.core
Application programming interfaces for working with PDE's models.
org.eclipse.pde.core.build
Application programming interfaces for working with PDE's model of build.properties.
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.

## Uses of IModel in org.eclipse.pde.core

Methods in org.eclipse.pde.core that return IModel
Modifier and Type
Method
Description
`IModel[]`
IModelProviderEvent.`getAddedModels()`
Returns the models that are added
`IModel[]`
IModelProviderEvent.`getChangedModels()`
Returns the models that has changed
`IModel[]`
IModelProviderEvent.`getRemovedModels()`
Returns the models that are removed

## Uses of IModel in org.eclipse.pde.core.build

Subinterfaces of IModel in org.eclipse.pde.core.build
Modifier and Type
Interface
Description
`interface`
`IBuildModel`
This model is created from the `build.properties` file that defines what source folders in the plug-in are to be used to build require plug-in Jars.

## Uses of IModel in org.eclipse.pde.core.plugin

Subinterfaces of IModel in org.eclipse.pde.core.plugin
Modifier and Type
Interface
Description
`interface`
`IExtensionsModel`
This type of model is created by parsing the manifest file.
`interface`
`IFragmentModel`
This type of model is created by parsing the manifest file.
`interface`
`IPluginModel`
This type of model is created by parsing the manifest file.
`interface`
`IPluginModelBase`
This type of model is created by parsing the manifest file.
`interface`
`ISharedExtensionsModel`
This type of model is created by parsing the plug-in manifest file but only takes the extensions and extension points into account.
`interface`
`ISharedPluginModel`
This type of model is created by parsing the manifest file.

## Uses of IModel in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return IModel
Modifier and Type
Method
Description
`final IModel`
TargetFeature.`getFeatureModel()`
Constructors in org.eclipse.pde.core.target with parameters of type IModel
Modifier
Constructor
Description
`protected`
`TargetFeature(IModel featureModel)`
Constructs a target feature for a feature from an `IFeatureModel`.